package com.safeway.pricing.exception;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.springframework.boot.web.error.ErrorAttributeOptions;
import org.springframework.boot.web.reactive.error.DefaultErrorAttributes;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.WebRequest;
import org.springframework.web.reactive.function.server.ServerRequest;

import java.util.HashMap;
import java.util.Map;

@Component
public class GlobalErrorAttributes extends DefaultErrorAttributes {

   public Map<String,Object> getErrorAttributes(ServerRequest serverRequest, ErrorAttributeOptions errorAttributeOptions){

       Map<String,Object> errorMap = new HashMap<>();
       Throwable throwable = getError(serverRequest);
       errorMap.put("message",throwable.getMessage());
       return errorMap;
   }


}
